// HWave.h : Header file for HWave.dll
//
//For Borland C++ Builder, use CBHWave.lib
//For Microsoft Visual C++, use VCHWave.lib or VCHWave64.lib

#ifdef __cplusplus
extern "C" {
#endif



__declspec(dllimport) unsigned long HWave_Start(unsigned long DeviceIndex, signed long Milliseconds, signed long BufferDepth);
__declspec(dllimport) unsigned long HWave_Stop(unsigned long DeviceIndex);
__declspec(dllimport) unsigned long HWave_Queue(unsigned long DeviceIndex, unsigned short *pData);
__declspec(dllimport) unsigned long HWave_QueueMulti(unsigned long DeviceIndex, void *pDACData, unsigned long DACDataCount);
__declspec(dllimport) unsigned long HWave_FlushQueue(unsigned long DeviceIndex);
__declspec(dllimport) unsigned long HWave_ResetClock(unsigned long DeviceIndex);



//Note that all error codes returned are Windows error codes; they can be found in winerror.h in the Windows SDK, or on the Web.

#ifdef __cplusplus
}
#endif
